3

I come from an Ubuntu background.

So I ran the following command: "sudo pacman -S gnome gnome-extra --needed" and I get this output:

:: There are 40 members in group gnome:
:: Repository extra
   1) baobab  2) empathy  3) eog  4) epiphany  5) evince  6) gdm  7) gnome-backgrounds  8) gnome-calculator  9) gnome-contacts  10) gnome-control-center  11) gnome-desktop  12) gnome-dictionary  13) gnome-disk-utility
   14) gnome-font-viewer  15) gnome-icon-theme  16) gnome-icon-theme-extras  17) gnome-icon-theme-symbolic  18) gnome-keyring  19) gnome-screenshot  20) gnome-session  21) gnome-settings-daemon  22) gnome-shell
   23) gnome-shell-extensions  24) gnome-system-log  25) gnome-system-monitor  26) gnome-terminal  27) gnome-themes-standard  28) gnome-user-docs  29) gnome-user-share  30) grilo-plugins  31) gucharmap  32) mousetweaks  33) mutter
   34) nautilus  35) sushi  36) totem  37) tracker  38) vino  39) xdg-user-dirs-gtk  40) yelp

Enter a selection (default=all): 
warning: baobab-3.12.1-1 is up to date -- skipping
warning: eog-3.12.2-1 is up to date -- skipping
warning: evince-3.12.2-1 is up to date -- skipping
warning: gdm-3.12.2-1 is up to date -- skipping
warning: gnome-backgrounds-3.12.2-1 is up to date -- skipping
warning: gnome-calculator-3.12.3-1 is up to date -- skipping
warning: gnome-contacts-3.12.0-1 is up to date -- skipping
warning: gnome-control-center-3.12.1-3 is up to date -- skipping
warning: gnome-desktop-1:3.12.2-1 is up to date -- skipping
warning: gnome-dictionary-3.10.0-1 is up to date -- skipping
warning: gnome-disk-utility-3.12.1-1 is up to date -- skipping
warning: gnome-font-viewer-3.12.0-1 is up to date -- skipping
warning: gnome-icon-theme-3.12.0-2 is up to date -- skipping
warning: gnome-icon-theme-extras-3.12.0-1 is up to date -- skipping
warning: gnome-icon-theme-symbolic-3.12.0-2 is up to date -- skipping
warning: gnome-keyring-3.12.2-1 is up to date -- skipping
warning: gnome-screenshot-3.12.0-1 is up to date -- skipping
warning: gnome-session-3.12.1-1 is up to date -- skipping
warning: gnome-settings-daemon-3.12.2-1 is up to date -- skipping
warning: gnome-shell-3.12.2-1 is up to date -- skipping
warning: gnome-shell-extensions-3.12.2-1 is up to date -- skipping
warning: gnome-system-log-3.9.90-1 is up to date -- skipping
warning: gnome-system-monitor-3.12.2-1 is up to date -- skipping
warning: gnome-terminal-3.12.3-1 is up to date -- skipping
warning: gnome-themes-standard-3.12.0-1 is up to date -- skipping
warning: gnome-user-docs-3.12.2-1 is up to date -- skipping
warning: gnome-user-share-3.10.2-3 is up to date -- skipping
warning: mousetweaks-3.12.0-1 is up to date -- skipping
warning: mutter-3.12.2-1 is up to date -- skipping
warning: nautilus-3.12.2-1 is up to date -- skipping
warning: sushi-3.12.0-1 is up to date -- skipping
warning: totem-3.12.1-2 is up to date -- skipping
warning: tracker-1.0.4-1 is up to date -- skipping
warning: vino-3.12.0-1 is up to date -- skipping
warning: xdg-user-dirs-gtk-0.10-2 is up to date -- skipping
warning: yelp-3.12.0-1 is up to date -- skipping
:: There are 42 members in group gnome-extra:
:: Repository extra
   1) accerciser  2) aisleriot  3) anjuta  4) bijiben  5) brasero  6) cheese  7) devhelp  8) evolution  9) file-roller  10) five-or-more  11) four-in-a-row  12) gedit  13) gnome-chess  14) gnome-clocks  15) gnome-color-manager
   16) gnome-devel-docs  17) gnome-documents  18) gnome-getting-started-docs  19) gnome-klotski  20) gnome-logs  21) gnome-mahjongg  22) gnome-maps  23) gnome-mines  24) gnome-music  25) gnome-nettool  26) gnome-nibbles  27) gnome-photos
   28) gnome-robots  29) gnome-sudoku  30) gnome-tetravex  31) gnome-weather  32) iagno  33) lightsoff  34) nautilus-sendto  35) orca  36) polari  37) quadrapassel  38) rygel  39) seahorse  40) swell-foop  41) tali  42) vinagre

Enter a selection (default=all): 
warning: accerciser-3.12.0-1 is up to date -- skipping
warning: aisleriot-3.12.1-1 is up to date -- skipping
warning: anjuta-3.12.0-1 is up to date -- skipping
warning: brasero-3.11.3-1 is up to date -- skipping
warning: cheese-3.12.2-1 is up to date -- skipping
warning: devhelp-3.12.1-1 is up to date -- skipping
warning: evolution-3.12.5-1 is up to date -- skipping
warning: file-roller-3.12.2-1 is up to date -- skipping
warning: five-or-more-3.12.2-1 is up to date -- skipping
warning: four-in-a-row-3.12.3-1 is up to date -- skipping
warning: gedit-3.12.2-1 is up to date -- skipping
warning: gnome-chess-3.12.3-1 is up to date -- skipping
warning: gnome-clocks-3.12.0-1 is up to date -- skipping
warning: gnome-color-manager-3.12.3-1 is up to date -- skipping
warning: gnome-devel-docs-3.12.2-1 is up to date -- skipping
warning: gnome-documents-3.12.1-1 is up to date -- skipping
warning: gnome-getting-started-docs-3.12.1-1 is up to date -- skipping
warning: gnome-klotski-3.12.2-1 is up to date -- skipping
warning: gnome-mahjongg-3.12.2-1 is up to date -- skipping
warning: gnome-mines-3.12.2-1 is up to date -- skipping
warning: gnome-nettool-3.8.1-2 is up to date -- skipping
warning: gnome-nibbles-3.12.2-1 is up to date -- skipping
warning: gnome-photos-3.12.1-1 is up to date -- skipping
warning: gnome-robots-3.12.3-1 is up to date -- skipping
warning: gnome-sudoku-3.12.3-1 is up to date -- skipping
warning: gnome-tetravex-3.12.3-1 is up to date -- skipping
warning: gnome-weather-3.12.1-1 is up to date -- skipping
warning: iagno-3.12.2-1 is up to date -- skipping
warning: lightsoff-3.12.2-1 is up to date -- skipping
warning: nautilus-sendto-3.8.1-1 is up to date -- skipping
warning: orca-3.12.2-1 is up to date -- skipping
warning: quadrapassel-3.12.2-1 is up to date -- skipping
warning: rygel-0.22.2-2 is up to date -- skipping
warning: seahorse-3.12.2-1 is up to date -- skipping
warning: swell-foop-3.12.2-1 is up to date -- skipping
warning: tali-3.12.2-1 is up to date -- skipping
warning: vinagre-3.12.2-1 is up to date -- skipping
resolving dependencies...
looking for inter-conflicts...

Packages (17): farstream-0.2.4-1  libchamplain-0.12.7-2  libdmapsharing-2.9.23-1  libnice-0.1.7-1  libwnck3-3.4.9-1  libxres-1.0.7-1  telepathy-farstream-0.6.2-1  telepathy-idle-0.2.0-1  bijiben-3.12.2-1  empathy-3.12.5-1
               epiphany-3.12.1-2  gnome-logs-3.12.2-1  gnome-maps-3.12.2-1  gnome-music-3.12.2.1-1  grilo-plugins-0.2.12-2  gucharmap-3.12.1-1  polari-3.12.2-1

Total Download Size:    3.02 MiB
Total Installed Size:   42.46 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages ...
 libxres-1.0.7-1-x86_64                                                                                                 7.2 KiB  7.06M/s 00:00 [########################################################################################] 100%
 grilo-plugins-0.2.12-2-x86_64                                                                                        229.2 KiB   563K/s 00:00 [########################################################################################] 100%
 gucharmap-3.12.1-1-x86_64                                                                                           1313.8 KiB   616K/s 00:02 [########################################################################################] 100%
 bijiben-3.12.2-1-x86_64                                                                                              389.8 KiB   558K/s 00:01 [########################################################################################] 100%
 gnome-logs-3.12.2-1-x86_64                                                                                           399.2 KiB   433K/s 00:01 [########################################################################################] 100%
 gnome-maps-3.12.2-1-x86_64                                                                                           117.3 KiB   414K/s 00:00 [########################################################################################] 100%
 libdmapsharing-2.9.23-1-x86_64                                                                                        92.1 KiB   545K/s 00:00 [########################################################################################] 100%
 gnome-music-3.12.2.1-1-x86_64                                                                                        315.6 KiB   507K/s 00:01 [########################################################################################] 100%
 telepathy-idle-0.2.0-1-x86_64                                                                                         53.0 KiB   496K/s 00:00 [########################################################################################] 100%
 polari-3.12.2-1-x86_64                                                                                               179.6 KiB   373K/s 00:00 [########################################################################################] 100%
(17/17) checking keys in keyring                                                                                                               [########################################################################################] 100%
(17/17) checking package integrity                                                                                                             [########################################################################################] 100%
(17/17) loading package files                                                                                                                  [########################################################################################] 100%
(17/17) checking for file conflicts                                                                                                            [########################################################################################] 100%
(17/17) checking available disk space                                                                                                          [########################################################################################] 100%
( 1/17) installing libnice                                                                                                                     [########################################################################################] 100%
Optional dependencies for libnice
    gstreamer [installed]
    gstreamer0.10 [installed]
( 2/17) installing farstream                                                                                                                   [########################################################################################] 100%
Optional dependencies for farstream
    gst-plugins-good [installed]
    gst-plugins-bad [installed]
( 3/17) installing telepathy-farstream                                                                                                         [########################################################################################] 100%
( 4/17) installing libchamplain                                                                                                                [########################################################################################] 100%
( 5/17) installing empathy                                                                                                                     [########################################################################################] 100%
To use Empathy you need to install at least one Telepathy connection manager.
Optional dependencies for empathy
    telepathy-gabble: XMPP/Jabber support
    telepathy-idle: IRC support [pending]
    telepathy-salut: Link-local XMPP support
    telepathy-rakia: SIP support
    telepathy-haze: libpurple support
( 6/17) installing libxres                                                                                                                     [########################################################################################] 100%
( 7/17) installing libwnck3                                                                                                                    [########################################################################################] 100%
( 8/17) installing epiphany                                                                                                                    [########################################################################################] 100%
( 9/17) installing grilo-plugins                                                                                                               [########################################################################################] 100%
Optional dependencies for grilo-plugins
    gupnp-av: uPnP plugin [installed]
    libgdata: Youtube plugin [installed]
    gnome-online-accounts: Flickr plugin [installed]
    gmime: Podcasts plugin [installed]
    tracker: Tracker plugin [installed]
    libdmapsharing: DMAP sharing plugin [pending]
    json-glib: TMDb plugin [installed]
    avahi: Freebox plugin [installed]
    libmediaart: local-metadata plugin [installed]
    lua: LUA factory plugin [installed]
(10/17) installing gucharmap                                                                                                                   [########################################################################################] 100%
(11/17) installing bijiben                                                                                                                     [########################################################################################] 100%
(12/17) installing gnome-logs                                                                                                                  [########################################################################################] 100%
(13/17) installing gnome-maps                                                                                                                  [########################################################################################] 100%
(14/17) installing libdmapsharing                                                                                                              [########################################################################################] 100%
(15/17) installing gnome-music                                                                                                                 [########################################################################################] 100%
(16/17) installing telepathy-idle                                                                                                              [########################################################################################] 100%
(17/17) installing polari                                                                                                                      [########################################################################################] 100%

Now, I ran this command: "sudo pacman -Rs gnome-extra" and I get this output:

checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
:: empathy: requires cheese
:: gnome-contacts: requires cheese
:: gnome-control-center: requires gnome-color-manager
:: nautilus: requires nautilus-sendto

What am I doing wrong? I'm trying to undo my first action.

4

See the options for -R (remove) in man pacman, notably -u:

-u, --unneeded
Removes targets that are not required by any other packages. This is mostly useful when removing a group without using the -c option, to avoid breaking any dependencies.

To skip dependency checks, you add the -d option:

-d, --nodeps
Skips dependency version checks. Package names are still checked. Normally, pacman will always check a package’s dependency fields to ensure that all dependencies are installed and there are no package conflicts in the system. Specify this option twice to skip all dependency checks.

So your final command would be pacman -Rdsu gnome-extra.

  • pastebin.com/raw.php?i=5345QFGq Hmm, this seems tougher than I thought it would be. It seems it wants to remove important applications file-roller, gedit, and evolution. – user89930 Nov 1 '14 at 2:58
  • @user89930 Remove the -d switch for less agressive filtering. Even if you do unistall those packages, they remain in your cache so it is simple enough to reinstall them (without redownloading). – jasonwryan Nov 1 '14 at 3:01
  • This is the answer, I ran pacman -Rdsu gnome-extra and it removed everything that I wanted gone without a hitch. File-roller, gedit were left in place as was evolution, although I feel like evolution would be a better fit for gnome-extra considering the prevalence of webmail clients these days... – allsey87 Jul 10 '18 at 10:53

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.